Proxy Kubernetes API request (GET /v1/cluster/instances/kubernetes/{clusterId}/proxy/{path})
GET /api/v1/cluster/instances/kubernetes//proxy/. Kubernetes API reference.
Proxy Kubernetes API request
Authentication · API availability · Download OpenAPI
Response from the downstream Kubernetes APIBad Request. The API gateway did not process the request because of invalid value of filter parameters.Unauthorized. The API gateway did not process the request because of invalid credentials.Forbidden. User lacks access, viewer attempted a write method or interactive subresource, or path is disallowed.Internal Server Error. SA token fetch failed or upstream unreachable.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Rancher cluster ID
Kubernetes API path (e.g. api/v1/namespaces or apis/apps/v1/deployments)
Response
Response from the downstream Kubernetes API
The response is of type object.